Index: /extensions/whois_online/language/ca_ES/description.txt
===================================================================
--- /extensions/whois_online/language/ca_ES/description.txt	(revision 15353)
+++ /extensions/whois_online/language/ca_ES/description.txt	(revision 15353)
@@ -0,0 +1,1 @@
+Whois Online és una eina en línia per al monitoratge en temps real de l'accés a les pàgines de l'índex o de les imatges.
Index: /extensions/whois_online/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/ca_ES/plugin.lang.php	(revision 15352)
+++ /extensions/whois_online/language/ca_ES/plugin.lang.php	(revision 15353)
@@ -22,7 +22,99 @@
 // +-----------------------------------------------------------------------+
 $lang['Monitor'] = 'Monitoratge';
-$lang['Current hour hits:'] = 'Visites d\'aquesta hora:';
+$lang['Current hour hits:'] = 'Nombre de pàgines visitades durant els darrers 60 minuts:';
 $lang['Default display'] = 'Visualització per defecte';
-$lang['Total hits:'] = 'Visites:';
-$lang['Yesterday hits:'] = 'Visites ahir:';
+$lang['Total hits:'] = 'Nombre de pàgines visitades (miniatures o imatges):';
+$lang['Yesterday hits:'] = 'Nombre de pàgines visitades durant el dia d\'ahir:';
+$lang[' - Over the radar limit => No level control'] = 'Profunditat de radar excedida => major control de privacitat';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = 'Eliminar els accessos registrats anteriors a 3 dies dels visitants, i optimitzar la taula i l\'índex.';
+$lang['(Multiple IP)'] = '(Diverses IP)';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] = ': ofereix geolocalització segons l\'adreça IP (enllaç a la bandera). Útil per als països desconeguts.';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = ': identifica la font de nous ingressos i possiblement noves banderes de països, gràcies a ells';
+$lang[':geoiptool:title'] = 'La recerca de la seva adreça IP Address i la seva informació GeoTargeting';
+$lang[':hostip:title'] = 'La meva recerca d\'adreces IP i el Projecte GeoTargeting Community Geotarget IP - quin país, les adreces IP amb el mapa de ciutats ';
+$lang['Active capture'] = 'Habilitar detecció d\'accessos';
+$lang['Add icon to History'] = 'Afegir icona a l\'historial';
+$lang['Add link to Plugins menu'] = 'Afegir un enllaç al menú Complements';
+$lang['Administrators management:'] = 'Gestionar Administradors:';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 'Usuaris avançats: les variables de les plantilles estan disponibles en tots els casos i es poden incloure en les seves extensions';
+$lang['Altered/created since: %s'] = 'Modificat/Creat el: %s';
+$lang['As anybody'] = 'Normal';
+$lang['Available filters'] = 'Filtres disponibles';
+$lang['Captured guests'] = 'Visitants detectats:';
+$lang['Categories only'] = 'Només àlbums';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 'Netejar usuaris temporals (amb un mínim de 6 minuts sense activitat). Per netejar un usuari permanent, canvia\'ls abans a la llista de la dreta que hi ha just al damunt.';
+$lang['Clearing'] = 'Netejar';
+$lang['Compress it!'] = 'Comprimir la taula!';
+$lang['Configuration has been saved.'] = 'Configuració desada correctamet.';
+$lang['Default %s'] = 'Valor per defecte: %s';
+$lang['Default as anybody'] = 'Valor per defecte: Normal';
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 'Eliminar nivell [10-200](ratio entre obsolets i actius)';
+$lang['Delete'] = 'Eliminar';
+$lang['Deleted language'] = 'Idioma detectat';
+$lang['Error range: '] = 'Error de rang:';
+$lang['Exclude'] = 'Excloure';
+$lang['First access'] = 'Primer accés';
+$lang['Hidden'] = 'Ocult';
+$lang['Hits since'] = 'Visites des del';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 'El nivell de privacitat de la imatge és més elevat que el de l\'usuari (Canviar un d\'ells?)';
+$lang['Images (Modify)'] = 'Imatges (Modificar)';
+$lang['Keep data even if plugin is deactivated/uninstall'] = 'Mantindre la informació malgrat el complement sigui deshabilitat o desinstal·lat';
+$lang['Last 24h accesses'] = 'Accessos durant les darreres 24 hores';
+$lang['Last 24h users:'] = 'Nombre de visitants durant les darreres 24 hores:';
+$lang['Last access'] = 'Últim accés';
+$lang['Last hour online users:'] = 'Nombre de visitants durant els darrers 60 minuts:';
+$lang['Level %d'] = 'Nivell %d';
+$lang['Level'] = 'Nivell';
+$lang['Members summary'] = 'Resum dels membres';
+$lang['Monitored members'] = 'Membres supervisats';
+$lang['More than 24h accesses'] = 'Accessos de més de 24 hores';
+$lang['More than 24h'] = 'Més de 24 hores';
+$lang['Most members ever online was %s on %s'] = 'A data %2$s, el àxim nombre de membres connectats simultàniament és de %1$s!';
+$lang['Most recent 10 minutes hits:'] = 'Pàgines recentment visitades durant els últims 10 minuts:';
+$lang['No country'] = 'Cap país';
+$lang['No data available'] = 'No hi ha dades disponibles';
+$lang['No picture accesses'] = 'Accessos sense imatges';
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 'Límit d\'obsolescència [20-100] (recompte de dades obsoletes)';
+$lang['On pictures'] = 'A les imatges';
+$lang['One day'] = 'Un dia';
+$lang['Only one day accesses'] = 'Accessos només a un dia';
+$lang['Permanence/Durability of user monitoring'] = 'Monitoratge dels usuaris (Permanència i Presència)';
+$lang['Permanent users (3 months min)'] = 'Membres permanents (mínim 3 mesos)';
+$lang['Pictures accesses'] = 'Accessos a imatges';
+$lang['Previous connection dates'] = 'Dates de connexions anteriors';
+$lang['Radar limit'] = 'Profunditat del radar';
+$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 'Profunditat del radar [10-200] (mostrar imatges en un missatge al passar el ratolí per sobre dels accesos dels primers n visitants).';
+$lang['Recent guest(s):'] = 'Visitant(s) recents:';
+$lang['Recent member(s):'] = 'Membre(s) connectats recentment:';
+$lang['Recents (less 24h)'] = 'Recents (menys de 24 hores)';
+$lang['Registered since'] = 'Registrat el';
+$lang['Registration counter: %s'] = 'Nombre d\'enregistraments: %s';
+$lang['Report'] = 'Informe del radar';
+$lang['Several IPs'] = 'Vàries IP\'s';
+$lang['Several days accesses or over midnight'] = 'Accessos durant varis dies';
+$lang['Several days'] = 'Varis dies';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Vàries IP\'s identificades (Només es conserva la primera)';
+$lang['Some of recently viewed pictures by other users'] = 'Darreres imatges vistes per altres usuaris';
+$lang['Space used: %s'] = 'Espai utilitzat: %s';
+$lang['Temporary users (around 72 hours)'] = 'Membres temporals (al voltant de les 72 hores)';
+$lang['Traced sessions: %s'] = 'Seguiment de sessions: %s';
+$lang['Unidentifed countries'] = 'Països no identificats';
+$lang['Unknown country'] = 'País desconegut';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Espai assignat inutilitzat: <strong>%s</strong>';
+$lang['User access details'] = 'Detalls d\'accés de l\'usuari';
+$lang['User follow up error'] = 'Error de seguiment de l\'usuari';
+$lang['User:'] = 'Usuari';
+$lang['Users with image cluetips ']['10-200'] = 'Nombre de visitants amb descripcions emergents sobre les imatges [10-200]';
+$lang['Webmasters management:'] = 'Gestionar Webmasters:';
+$lang['Whois_others'] = 'Vist recentment per altres';
+$lang['Whois_review'] = 'Vist recentment per vostè';
+$lang['Y-m-d H:i'] = 'd-m-Y a les H\hi';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Vostè està en mode Conseller i no està autoritzat a canviar la configuració';
+$lang['Your `%s` table summary'] = 'Resum de la vostra taula \'%s\'';
+$lang['Your recently viewed pictures'] = 'Imatges que ha vist recentment';
+$lang['http:geoiptool'] = 'http://www.geoiptool.com/en/?IP=';
+$lang['http:hostip'] = 'http://www.hostip.info';
+$lang['on pages'] = 'a les pàgines';
+$lang['on pictures'] = 'Visites a les imatges';
+$lang['users'] = 'Usuaris';
 ?>