Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 15367)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 15368)
@@ -7,19 +7,19 @@
 $lang['submit'] = 'Validar';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Este plugin permite modificar la presentación de la página llena de imágenes.';
-$lang['Step1_Title'] = 'Parametraje de Plugin ';
-$lang['Step2_Title'] = 'Parametraje de la burbuja info';
-$lang['Step3_Title'] = 'Parametraje del marco';
-$lang['Step4_Title'] = 'Parámetros de la burbuja info';
-$lang['llgbo_tooltip']='Infobulles específico (miniaturas de las fotos) al sobrevuelo de los botones:';
-$lang['llgbo_exifunderbt']='Fija los EXTEJOS al sobrevuelo del botón :';
+$lang['Howto'] = 'Este plugin permite modificar la presentaciÃ³n de la pÃ¡gina llena de imÃ¡genes.';
+$lang['Step1_Title'] = 'ConfiguraciÃ³n de Plugin ';
+$lang['Step2_Title'] = 'ConfiguraciÃ³n de la burbuja info';
+$lang['Step3_Title'] = 'ConfiguraciÃ³n del marco';
+$lang['Step4_Title'] = 'ParÃ¡metros de la burbuja info';
+$lang['llgbo_tooltip'] = 'Infobulles especÃ­fico (miniaturas de las fotos) al sobrevuelo de los botones:';
+$lang['llgbo_exifunderbt'] = 'Fija los EXTEJOS al sobrevuelo del botÃ³n :';
 $lang['llgbo_frame']='Fija un marco blanco alrededor de la imagen :';
-$lang['llgbo_header']='La marea es fijado sólo sobre la página inicial  :';
-$lang['llgbo_maintain_header']='Conservar la marea sobre las páginas siguientes :';
-$lang['llgbo_usemap']='Añade la navegación sobre la imagen :';
-$lang['llgbo_usemap_thumb']='Fija las miniaturas en el momento de la navegación sobre la imagen :';
-$lang['llgbo_info']='     (^_^) Sus parámetros son registrados !';
-$lang['llgbo_title_frame'] = 'Fijar el título de la imagen sobre el marco';
-$lang['llgbo_default_navthumb'] = 'Suprime la fijación estándar de las miniaturas de navegación :';
+$lang['llgbo_header'] = 'Administrar la fijaciÃ³n de la marea ';
+$lang['llgbo_maintain_header'] = 'Conservar la marea sobre las pÃ¡ginas siguientes :';
+$lang['llgbo_usemap'] = 'AÃ±ade la navegaciÃ³n sobre la imagen :';
+$lang['llgbo_usemap_thumb'] = 'Fija las miniaturas en el momento de la navegaciÃ³n sobre la imagen :';
+$lang['llgbo_info'] = '     (^_^) Sus parÃ¡metros son registrados !';
+$lang['llgbo_title_frame'] = 'Fijar el tÃ­tulo de la imagen sobre el marco';
+$lang['llgbo_default_navthumb'] = 'Suprime la fijaciÃ³n estÃ¡ndar de las miniaturas de navegaciÃ³n :';
 $lang['save'] = 'Registrar';
 $lang['preview'] = 'Hacer visible';
@@ -28,10 +28,9 @@
 $lang['llgbo_tooltip_bordercolor']= 'Anchura del ribete de la burbuja info';
 $lang['llgbo_tooltip_backgroundcolor']= 'Color del fondo de la burbuja info';
-$lang['llgbo_tooltip_titlecolor']= 'Color del título de la burbuja info';
+$lang['llgbo_tooltip_titlecolor'] = 'Color del tÃ­tulo de la burbuja info';
 $lang['llgbo_tooltip_color']= 'Color del texto de la burbuja info';
-$lang['llgo_global_setting']= 'Parmètres a generales de la página picture de Piwigo';
-$lang['llgo_tooltip_setting']= 'Título de la burbuja info';
-$lang['llgo_frame_setting']= 'Parámetros del marco :' ;
-$lang['llgbo_title_frame_color']= 'Color del título fijado sobre el marco';
+$lang['llgo_global_setting'] = 'ParmÃ¨tres a generales de la pÃ¡gina picture de Piwigo';
+$lang['llgo_tooltip_setting'] = 'TÃ­tulo de la burbuja info';
+$lang['llgo_frame_setting'] = 'ParÃ¡metros del marco:';
 $lang['llgbo_frame_bdcolor0']= 'Linea 1 color : ';
 $lang['llgbo_frame_bdcolor1']= 'Linea 2 color : ';
@@ -50,33 +49,30 @@
 $lang['llgbo_frame_bdcolor14']= 'Linea 15 color : ';
 $lang['llgbo_frame_bdcolor15']= 'Linea 16 color : ';
-$lang['llgbo_frame_bdsize']= 'size in px : ';
-$lang['llgbo_M_frame'] = 'Gestión del marco';
-$lang['llgbo_M_tooltip'] = 'Gestión de de la burbuja info';
-$lang['llgbo_M_manage'] = 'Paramétres generales';
+$lang['llgbo_frame_bdsize'] = 'anchura: ';
+$lang['llgbo_M_frame'] = 'GestiÃ³n del marco';
+$lang['llgbo_M_tooltip'] = 'GestiÃ³n de de la burbuja info';
+$lang['llgbo_M_manage'] = 'ParamÃ©tros generales';
 $lang['llgbo_samples'] = 'Ejemplos : ';
 $lang['llgbo_frame']='Administrar un marco alrededor de la imagen :';
 $lang['llgbo_header']='Administrar la fijación de la marea ';
-$lang['llgbo_M_header'] = 'Gestión de la fijación de la marea';
-$lang['llgbo_header_home'] = 'Fijación sobre la página inicial';
-$lang['llgbo_header_category'] = 'Fijación sobre la página categoría';
-$lang['llgbo_header_category_filter_recent']= 'Fijación sobre la página categoría (filtrada por reciente)';
-$lang['llgbo_header_category_flat']= 'Fijación sobre la página categoría (a plato)' ;
-$lang['llgbo_header_category_posted_monthly']= 'Fijación sobre la página categoría opción calendario' ;
-$lang['llgbo_header_picture']= 'Fijación sobre la página Image' ;
-$lang['llgbo_header_additional_page'] = 'Fijación sobre las páginas Adicionales';
-$lang['llgbo_header_most_visited'] = 'Fijación sobre la página Imágenes más vistas ';
-$lang['llgbo_header_best_rated'] = 'Fijación sobre la página Mejor valoradas ';
-$lang['llgbo_header_list']= 'Fijación sobre la página Selección aleatoria ';
-$lang['llgbo_header_recent_pics']= 'Fijación sobre la página Últimas imágenes añadidas ';
-$lang['llgbo_header_created_monthly_calendar'] = 'Fijación sobre la página Calendario'; 
-$lang['llgbo_header_tags']= 'Fijación sobre la página Tags '; 
-$lang['llgbo_header_search']= 'Fijación sobre la página Búsqueda avanzada';
-$lang['llgbo_header_comments']= 'Fijación sobre la página Comentarios';
-$lang['llgbo_header_about']= 'Fijación sobre la página Acerca de';
-$lang['llgbo_header_notification']= 'Fijación sobre la página Notificación RSS';
-$lang['llgbo_header_register'] = 'Fijación sobre la página Regístrese ';
-$lang['llgbo_header_identification']= 'Fijación sobre la página Identificarse';
-$lang['llgbo_header_favorites']= 'Fijación sobre la página Mis favoritos';
-$lang['llgbo_header_recent_cats']= 'Fijación sobre la página Últimas categorías ';
+$lang['llgbo_M_header'] = 'GestiÃ³n de la fijaciÃ³n de la marea';
+$lang['llgbo_header_home'] = 'FijaciÃ³n sobre la pÃ¡gina inicial';
+$lang['llgbo_header_category'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a';
+$lang['llgbo_header_category_filter_recent'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a (filtrada por reciente)';
+$lang['llgbo_header_category_flat'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a (a plato)';
+$lang['llgbo_header_most_visited'] = 'FijaciÃ³n sobre la pÃ¡gina ImÃ¡genes mÃ¡s vistas ';
+$lang['llgbo_header_best_rated'] = 'FijaciÃ³n sobre la pÃ¡gina Mejor valoradas ';
+$lang['llgbo_header_list'] = 'FijaciÃ³n sobre la pÃ¡gina SelecciÃ³n aleatoria ';
+$lang['llgbo_header_recent_pics'] = 'FijaciÃ³n sobre la pÃ¡gina Ãltimas imÃ¡genes aÃ±adidas ';
+$lang['llgbo_header_created_monthly_calendar'] = 'FijaciÃ³n sobre la pÃ¡gina Calendario';
+$lang['llgbo_header_tags'] = 'FijaciÃ³n sobre la pÃ¡gina Tags ';
+$lang['llgbo_header_search'] = 'FijaciÃ³n sobre la pÃ¡gina BÃºsqueda avanzada';
+$lang['llgbo_header_comments'] = 'FijaciÃ³n sobre la pÃ¡gina Comentarios';
+$lang['llgbo_header_about'] = 'FijaciÃ³n sobre la pÃ¡gina Acerca de';
+$lang['llgbo_header_notification'] = 'FijaciÃ³n sobre la pÃ¡gina NotificaciÃ³n RSS';
+$lang['llgbo_header_register'] = 'FijaciÃ³n sobre la pÃ¡gina RegÃ­strese ';
+$lang['llgbo_header_identification'] = 'FijaciÃ³n sobre la pÃ¡gina Identificarse';
+$lang['llgbo_header_favorites'] = 'FijaciÃ³n sobre la pÃ¡gina Mis favoritos';
+$lang['llgbo_header_recent_cats'] = 'FijaciÃ³n sobre la pÃ¡gina Ãltimas categorÃ­as ';
 $lang['llgbo_frame_sample']= 'Lista ejemplost ';
 $lang['previewsamples']= 'Fijar este ejemplo';
@@ -87,3 +83,5 @@
 /*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 /*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
+$lang['llgbo_header_category_posted_monthly'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a opciÃ³n calendario';
+$lang['llgbo_header_picture'] = 'FijaciÃ³n sobre la pÃ¡gina Image';
 ?>