Index: /extensions/GrumPluginClasses/classes/GPCCore.class.inc.php
===================================================================
--- /extensions/GrumPluginClasses/classes/GPCCore.class.inc.php	(revision 15372)
+++ /extensions/GrumPluginClasses/classes/GPCCore.class.inc.php	(revision 15373)
@@ -65,4 +65,6 @@
 |         |            |   . add manually each component for ui functionnalities
 |         |            |
+|         |            | * Remove google translate connector (google has changed the useage
+|         |            |    and now an API key is needed)
 |         |            |
 
@@ -593,7 +595,4 @@
       switch($ui)
       {
-        case 'googleTranslate':
-          self::addHeaderJS('google.jsapi', 'http://www.google.com/jsapi');
-          self::addHeaderJS('gpc.googleTranslate', 'plugins/GrumPluginClasses/js/google_translate.js', array('jquery', 'google.jsapi'));
         case 'categorySelector':
           self::addHeaderCSS('gpc.categorySelector', GPC_PATH.'css/categorySelector.css');
Index: tensions/GrumPluginClasses/classes/GPCTranslate.class.inc.php
===================================================================
--- /extensions/GrumPluginClasses/classes/GPCTranslate.class.inc.php	(revision 15372)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<?php
-
-/* -----------------------------------------------------------------------------
-  class name     : GPCTranslate
-  class version  : 2.1.1
-  plugin version : 3.4.0
-  date           : 2011-01-28
-  ------------------------------------------------------------------------------
-  author: grum at piwigo.org
-  << May the Little SpaceFrog be with you >>
-  ------------------------------------------------------------------------------
-
-  ------------------------------------------------------------------------------
-
-  :: HISTORY
-
-| release | date       |
-| 2.1.0   | 2010/03/31 | * update class & functions names
-|         |            |
-| 2.1.1   | 2011/01/09 | * fixbug on js loading
-|         |            |
-|         |            | * use GPCCore::addUI function (the class is kept for
-|         |            |   compatibility with older plugins)
-|         |            |
-|         |            |
-
-  ------------------------------------------------------------------------------
-   class call API in HTML header, and provide a .js file manage API call
-        >>  http://code.google.com/apis/ajaxlanguage/
-
-    - constructor
-   ---------------------------------------------------------------------- */
-class GPCTranslate
-{
-  public function __construct()
-  {
-    GPCCore::addUI('googleTranslate');
-  }
-} //class
-
-?>
Index: tensions/GrumPluginClasses/js/google_translate.js
===================================================================
--- /extensions/GrumPluginClasses/js/google_translate.js	(revision 15372)
+++ 	(revision )
@@ -1,58 +1,0 @@
-/* -----------------------------------------------------------------------------
-  file: google_translate.js
-  file version: 2.1.0
-  date: 2011-01-09
-  ------------------------------------------------------------------------------
-  author: grum at piwigo.org
-  << May the Little SpaceFrog be with you >>
-  ------------------------------------------------------------------------------
-   this classes provides base functions to use Google Translate AJAX API
-    >>  http://code.google.com/apis/ajaxlanguage/
-  ------------------------------------------------------------------------------
-  HISTORY VERSION
-  v2.0.0  +
-  v2.1.0  + add googleTranslate function with callback parameter
-  --------------------------------------------------------------------------- */
-
-  google.load("language", "1");
-
-  var global_google_translate_plugin_objdest;
-  var global_google_translate_plugin_callback;
-  var global_google_translate_plugin_objproperty;
-
-  function google_translate(text, pfrom, pto, objdest, objproperty)
-  {
-    global_google_translate_plugin_objdest = objdest;
-    global_google_translate_plugin_objproperty = objproperty;
-    google.language.translate(text, pfrom, pto, google_translate_do);
-  }
-
-  function google_translate_do(result)
-  {
-    if (!result.error)
-    {
-      if(global_google_translate_plugin_objproperty=='value')
-      {
-        global_google_translate_plugin_objdest.value = result.translation;
-      }
-      else if(global_google_translate_plugin_objproperty=='innerHTML')
-      {
-        global_google_translate_plugin_objdest.innerHTML = result.translation;
-      }
-    }
-  }
-
-  function googleTranslate(text, pfrom, pto, callback)
-  {
-    global_google_translate_plugin_callback=callback;
-    google.language.translate(text, pfrom, pto, googleTranslateDo);
-  }
-
-  function googleTranslateDo(result)
-  {
-    if (!result.error)
-    {
-      global_google_translate_plugin_callback(result.translation);
-    }
-  }
-
Index: /extensions/GrumPluginClasses/js/ui.inputText.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.inputText.js	(revision 15372)
+++ /extensions/GrumPluginClasses/js/ui.inputText.js	(revision 15373)
@@ -29,5 +29,5 @@
  * |         |            | * add multilanguage managment
  * |         |            |
- * | 1.1.1   | 2011/01/31 | * add function ':clear' for 'languageValues' method
+ * | 1.1.1   | 2011/01/31 | * add function ':clear' for 'languagesValues' method
  * |         |            |
  * |         |            |