Index: /extensions/UserStat/admin.php
===================================================================
--- /extensions/UserStat/admin.php	(revision 15374)
+++ /extensions/UserStat/admin.php	(revision 15374)
@@ -0,0 +1,27 @@
+<?php
+/* -----------------------------------------------------------------------------
+  Plugin     : UserStat
+  Author     : Grum
+    email    : grum@piwigo.org
+    website  : http://photos.grum.fr
+
+    << May the Little SpaceFrog be with you ! >>
+  ------------------------------------------------------------------------------
+  See main.inc.php for release information
+
+  --------------------------------------------------------------------------- */
+
+if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }
+
+include(USERSTAT_PATH."userstat_aip.class.inc.php");
+
+global $prefixeTable;
+
+load_language('plugin.lang', USERSTAT_PATH);
+
+$main_plugin_object = get_plugin_data($plugin_id);
+
+$plugin_ai = new UserStat_AIP($prefixeTable, $main_plugin_object->getFileLocation());
+$plugin_ai->manage();
+
+?>
Index: tensions/UserStat/admin/plugin_admin.php
===================================================================
--- /extensions/UserStat/admin/plugin_admin.php	(revision 15373)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<?php
-/* -----------------------------------------------------------------------------
-  Plugin     : UserStat
-  Author     : Grum
-    email    : grum@piwigo.org
-    website  : http://photos.grum.fr
-
-    << May the Little SpaceFrog be with you ! >>
-  ------------------------------------------------------------------------------
-  See main.inc.php for release information
-
-  --------------------------------------------------------------------------- */
-
-if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }
-
-include(USERSTAT_PATH."userstat_aip.class.inc.php");
-
-global $prefixeTable;
-
-load_language('plugin.lang', USERSTAT_PATH);
-
-$main_plugin_object = get_plugin_data($plugin_id);
-
-$plugin_ai = new UserStat_AIP($prefixeTable, $main_plugin_object->getFileLocation());
-$plugin_ai->manage();
-
-?>
Index: /extensions/UserStat/main.inc.php
===================================================================
--- /extensions/UserStat/main.inc.php	(revision 15373)
+++ /extensions/UserStat/main.inc.php	(revision 15374)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserStat
-Version: 1.2.0
+Version: 1.2.1
 Description: Statistiques utilisateurs / Users statistics
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=321
@@ -36,4 +36,6 @@
 |         |            |   . compatibility with Piwigo 2.2
 |         |            |
+| 1.2.1   | 2012/05/28 | * mantis feature:2643
+|         |            |   . compatibility with Piwigo 2.4
 |         |            |
 |         |            |
Index: /extensions/UserStat/userstat_aip.class.inc.php
===================================================================
--- /extensions/UserStat/userstat_aip.class.inc.php	(revision 15373)
+++ /extensions/UserStat/userstat_aip.class.inc.php	(revision 15374)
@@ -33,8 +33,8 @@
     $this->tabsheet->add('global_stats',
                           l10n('us_tsGlobal'),
-                          $this->getAdminLink().'&amp;fUserStat_tabsheet=global_stats');
+                          $this->getAdminLink().'-global_stats');
     $this->tabsheet->add('users_stats',
                           l10n('us_tsUsers'),
-                          $this->getAdminLink().'&amp;fUserStat_tabsheet=users_stats');
+                          $this->getAdminLink().'-users_stats');
   }
 
@@ -73,14 +73,14 @@
 
 
-    if($_REQUEST['fUserStat_tabsheet']=='global_stats')
+    if($_GET['tab']=='global_stats')
     {
       $this->displayGlobalStats();
     }
-    elseif($_REQUEST['fUserStat_tabsheet']=='users_stats')
+    elseif($_GET['tab']=='users_stats')
     {
       $this->displayUsersStats();
     }
 
-    $this->tabsheet->select($_REQUEST['fUserStat_tabsheet']);
+    $this->tabsheet->select($_GET['tab']);
     $this->tabsheet->assign();
     $selected_tab=$this->tabsheet->get_selected();
@@ -88,5 +88,5 @@
 
     $template_plugin["USERSTAT_VERSION"] = "<i>UserStat</i> ".l10n('us_version').USERSTAT_VERSION;
-    $template_plugin["USERSTAT_PAGE"] = $_REQUEST['fUserStat_tabsheet'];
+    $template_plugin["USERSTAT_PAGE"] = $_GET['tab'];
 
     $template->assign('plugin', $template_plugin);
@@ -124,7 +124,7 @@
   {
     //initialise $REQUEST values if not defined
-    if(!array_key_exists('fUserStat_tabsheet', $_REQUEST))
-    {
-      $_REQUEST['fUserStat_tabsheet']='global_stats';
+    if(!array_key_exists('tab', $_GET))
+    {
+      $_GET['tab']='global_stats';
     }
   }
Index: /extensions/UserStat/userstat_version.inc.php
===================================================================
--- /extensions/UserStat/userstat_version.inc.php	(revision 15373)
+++ /extensions/UserStat/userstat_version.inc.php	(revision 15374)
@@ -15,6 +15,6 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('USERSTAT_VERSION',  '1.2.0');
-  define('USERSTAT_VERSION2', '01.02.00');
-  define('USERSTAT_GPC_NEEDED', '3.5.1');
+  define('USERSTAT_VERSION',  '1.2.1');
+  define('USERSTAT_VERSION2', '01.02.01');
+  define('USERSTAT_GPC_NEEDED', '3.5.2');
 ?>