Index: /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Výška nastavena";
 $lang['Coefficient for tags size updated'] = "Koeficient tagů byl nastaven";
-$lang['Show tag cloud in cumulus mode'] = "Zobraz mračno štítků v Cumulus módu";
+$lang['show tag cloud in cumulus mode'] = "zobraz mračno štítků v Cumulus módu";
 $lang['Animation colors'] = "Barvy Animace";
 $lang['Color 1'] = "Barva 1";
Index: /extensions/pwgCumulus/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 15386)
@@ -36,5 +36,5 @@
 $lang['Color 2 updated'] = "Farbe 2 angepasst";
 $lang['Mouseover color updated'] = "Mouseover Farbe angepasst";
-$lang['Show tag cloud in cumulus mode'] = 'Zeige die Stichwortwolke als animierte Haufenwolke'; 
+$lang['show tag cloud in cumulus mode'] = 'zeige die Stichwortwolke als animierte Haufenwolke'; 
 $lang['Animation colors'] = 'Animationsfarbe'; 
 $lang['Color 2'] = 'Farbe 2';
Index: /extensions/pwgCumulus/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 15386)
@@ -25,3 +25,51 @@
  * See language/templates/plugin.lang.php for available keys
  */
+ 
+ // admin
+$lang['Add tags cloud in main menu'] = 'Add tags cloud in main menu';
+$lang['After'] = 'After';
+$lang['Animation colors'] = 'Animation colors';
+$lang['Animation configuration : size, tags colors, tags size'] = 'Animation configuration : size, tags colors, tags size';
+$lang['Animation width and height'] = 'Animation width and height';
+$lang['Background color'] = 'Background color';
+$lang['Background color updated'] = 'Background color updated';
+$lang['Before'] = 'Before';
+$lang['block'] = 'block';
+$lang['Check the checkbox to add tags cloud in main menu'] = 'Check the checkbox to add tags cloud in main menu';
+$lang['Check the checkbox to use transparent mode for background'] = 'Check the checkbox to use transparent mode for background';
+$lang['Coefficient'] = 'Coefficient';
+$lang['Coefficient for tags size updated'] = 'Coefficient for tags size updated';
+$lang['Color 1'] = 'Color 1';
+$lang['Color 1 updated'] = 'Color 1 updated';
+$lang['Color 2'] = 'Color 2';
+$lang['Color 2 updated'] = 'Color 2 updated';
+$lang['Cumulus Tags Cloud Plugin'] = 'Cumulus Tags Cloud Plugin';
+$lang['Current release:'] = 'Current release:';
+$lang['Dashboard'] = 'Dashboard';
+$lang['Height'] = 'Height';
+$lang['Height updated'] = 'Height updated';
+$lang['Menu'] = 'Menu';
+$lang['Mouseover color'] = 'Mouseover color';
+$lang['Mouseover color updated'] = 'Mouseover color updated';
+$lang['Position'] = 'Position';
+$lang['Position in main menu has been updated'] = 'Position in main menu has been updated';
+$lang['Tags cloud added in main menu'] = 'Tags cloud added in main menu';
+$lang['Tags cloud in main menu?'] = 'Tags cloud in main menu?';
+$lang['Tags cloud removed from main menu'] = 'Tags cloud removed from main menu';
+$lang['Tags page'] = 'Tags page';
+$lang['Tags size'] = 'Tags size';
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = 'That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.';
+$lang['Transparent mode for background'] = 'Transparent mode for background';
+$lang['Transparent mode is not used'] = 'Transparent mode is not used';
+$lang['Transparent mode is used'] = 'Transparent mode is used';
+$lang['Width'] = 'Width';
+$lang['Width updated'] = 'Width updated';
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = 'You can choose that mode for tags default display mode by adding (or changing) in the configuration file';
+$lang['You can choose to add cumulus tag cloud in menu. You can define tags cloud position in the main menu by choosing its position related to another block'] = 'You can choose to add cumulus tag cloud in menu. You can define tags cloud position in the main menu by choosing its position related to another block';
+
+// public
+$lang['cloud'] = 'cloud';
+$lang['cumulus cloud'] = 'cumulus cloud';
+$lang['show tag cloud'] = 'show tag cloud';
+ 
 ?>
Index: /extensions/pwgCumulus/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "La altura ha sido puesta al día";
 $lang['Coefficient for tags size updated'] = "El coeficiente multiplicador de etiquetas ha sido puesto al día";
-$lang['Show tag cloud in cumulus mode'] = "Utilizar el modo cúmulo para fijar la nube de etiquetas";
+$lang['show tag cloud in cumulus mode'] = "utilizar el modo cúmulo para fijar la nube de etiquetas";
 $lang['Animation colors'] = "Colores de la animación";
 $lang['Color 1'] = "Color 1";
Index: /extensions/pwgCumulus/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 15386)
@@ -64,4 +64,4 @@
 $lang['cloud'] = 'nuage';
 $lang['cumulus cloud'] = 'Nuage cumulus';
-$lang['Show tag cloud'] = 'Utiliser le mode cumulus pour afficher le nuage de tags';
+$lang['show tag cloud'] = 'utiliser le mode cumulus pour afficher le nuage de tags';
 ?>
Index: /extensions/pwgCumulus/language/hr_HR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hr_HR/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/hr_HR/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Visina ažurirana";
 $lang['Coefficient for tags size updated'] = "Koeficijent veličine tagova ažuriran";
-$lang['Show tag cloud in cumulus mode'] = "Prikaži oblak tagova u Cumulus modu";
+$lang['show tag cloud in cumulus mode'] = "prikaži oblak tagova u Cumulus modu";
 $lang['Color 1'] = "Boja 1";
 $lang['Color 2'] = "Boja 2";
Index: /extensions/pwgCumulus/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Szélesség módosítva";
 $lang['Coefficient for tags size updated'] = "Címke betüaránya módosítva";
-$lang['Show tag cloud in cumulus mode'] = "Cumulus Flash címkefelhő";
+$lang['show tag cloud in cumulus mode'] = "cumulus Flash címkefelhő";
 $lang['Animation colors'] = "Animáció színei";
 $lang['Color 1'] = "Szín 1";
Index: /extensions/pwgCumulus/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 15386)
@@ -64,4 +64,4 @@
 $lang['cloud'] = 'nuvola';
 $lang['cumulus cloud'] = 'Nuvola cumulus';
-$lang['Show tag cloud'] = 'Usare il modo cumulus per visualizzare la nuvola di tag';
+$lang['show tag cloud'] = 'usare il modo cumulus per visualizzare la nuvola di tag';
 ?>
Index: /extensions/pwgCumulus/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Augstums izmainīts";
 $lang['Coefficient for tags size updated'] = "Iezīmes izmēra koeficients izmainīts";
-$lang['Show tag cloud in cumulus mode'] = "Rādīt mākoņveida iezīmi cumulus režīmā";
+$lang['show tag cloud in cumulus mode'] = "rādīt mākoņveida iezīmi cumulus režīmā";
 $lang['Animation colors'] = "Animācijas krāsas";
 $lang['Color 1'] = "1 krāsa";
Index: /extensions/pwgCumulus/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Hoogte geupdatet";
 $lang['Coefficient for tags size updated'] = "Coefficient voor tag grootte geupdatet";
-$lang['Show tag cloud in cumulus mode'] = "Laat de tag zien in stapelwolk modus";
+$lang['show tag cloud in cumulus mode'] = "laat de tag zien in stapelwolk modus";
 $lang['Animation colors'] = "Animatie kleuren";
 $lang['Color 1'] = "Kleur 1";
Index: /extensions/pwgCumulus/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/no_NO/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/no_NO/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Høyde oppdatert";
 $lang['Coefficient for tags size updated'] = "Koeffisient for tagg størrelse oppdatert";
-$lang['Show tag cloud in cumulus mode'] = "Vis tagg sky i cumulus modus";
+$lang['show tag cloud in cumulus mode'] = "vis tagg sky i cumulus modus";
 $lang['Animation colors'] = "Animasjon farer";
 $lang['Color 1'] = "Farge 1";
Index: /extensions/pwgCumulus/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/pl_PL/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/pl_PL/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Wysokoœæ zosta³a zaktualizowana";
 $lang['Coefficient for tags size updated'] = "Wspó³czynnik dla rozmiaru tagów zosta³ zaktualizowany";
-$lang['Show tag cloud in cumulus mode'] = "Poka¿ chmurê tagów w tybie Cumulus";
+$lang['show tag cloud in cumulus mode'] = "poka¿ chmurê tagów w tybie Cumulus";
 $lang['Color 1'] = "Kolor 1";
 $lang['Color 2'] = "Kolor 2";
Index: /extensions/pwgCumulus/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/sk_SK/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/sk_SK/plugin.lang.php	(revision 15386)
@@ -32,5 +32,5 @@
 $lang['Height updated'] = "Výška aktualizovaná";
 $lang['Coefficient for tags size updated'] = "Koeficient pre aktualizáciu zmeny veľkosti fotografie";
-$lang['Show tag cloud in cumulus mode'] = "Zobraziť mrak v kumulus móde";
+$lang['show tag cloud in cumulus mode'] = "zobraziť mrak v kumulus móde";
 $lang['Color 1'] = "Farba 1";
 $lang['Color 2'] = "Farba 2";
Index: /extensions/pwgCumulus/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/sv_SE/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/sv_SE/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Höjd uppdaterad";
 $lang['Coefficient for tags size updated'] = "Koefficient för sökmolnets storlek uppdaterad";
-$lang['Show tag cloud in cumulus mode'] = "Visa sökmoln i cumulusläge";
+$lang['show tag cloud in cumulus mode'] = "visa sökmoln i cumulusläge";
 $lang['Animation colors'] = "Animationens färger";
 $lang['Color 1'] = "Färg 1";
Index: /extensions/pwgCumulus/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/tr_TR/plugin.lang.php	(revision 15385)
+++ /extensions/pwgCumulus/language/tr_TR/plugin.lang.php	(revision 15386)
@@ -31,5 +31,5 @@
 $lang['Height updated'] = "Yükseklik güncelledi";
 $lang['Coefficient for tags size updated'] = "Etiketler için kaysayı boyutu güncellendi";
-$lang['Show tag cloud in cumulus mode'] = "Etiketleri bulut kümesinde göster";
+$lang['show tag cloud in cumulus mode'] = "etiketleri bulut kümesinde göster";
 $lang['Animation colors'] = "Animasyon renkleri";
 $lang['Color 1'] = "Renk 1";