Index: trunk/language/af_ZA/admin.lang.php
===================================================================
--- trunk/language/af_ZA/admin.lang.php	(revision 15287)
+++ trunk/language/af_ZA/admin.lang.php	(revision 15416)
@@ -753,3 +753,67 @@
 $lang['set to'] = 'stel na';
 $lang['status'] = 'status';
+$lang['Cannot delete the old permalink !'] = 'Die ou permaskakel kan nie verwyder word nie!';
+$lang['Center of interest'] = 'Fokusmiddelpunt';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Bly betrokke by die Piwigo-projek deur in ste skryf vir die Piwigo Afkondingings-nuusbrief. Jy sal \'n e-pos ontvang as \'n nuwe weergawe uitgegee word of as daar enige ander groot nuus rakende die projek is. Dit is gewoonlik net enkele e-posse per jaar.';
+$lang['Languages which need upgrade'] = 'Tale wat opgedateer moet word';
+$lang['Last hit'] = 'Onlangste besoek';
+$lang['Learn more'] = 'Ek wil meer weet';
+$lang['Lock albums'] = 'Sluit album';
+$lang['Lock gallery'] = 'Sluit gallery';
+$lang['Lock'] = 'Sluit';
+$lang['Locked'] = 'Geslote';
+$lang['Other plugins'] = 'Ander uitbreidings is beskikbaar';
+$lang['Parent album'] = 'Ouer-album';
+$lang['Pending Comments'] = 'Kommentaar om nog na te gaan';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Permaskakel %s is voorheen deur die album %s gebruik. Verwyder dit eers van die permaskakel-geskiedenis.';
+$lang['Permalink %s is already used by album %s'] = 'Permaskakel %s is alreeds in gebruik deur die album %s';
+$lang['Permalink history'] = 'Permaskakel-geskiedenis';
+$lang['Permalink'] = 'Permaskakel';
+$lang['Permalinks'] = 'Permaskakels';
+$lang['Plugins'] = 'Uitbreidings';
+$lang['Position'] = 'Posisie';
+$lang['Preferences'] = 'Instellings';
+$lang['Privacy level set to "%s"'] = 'Privaatheidsvlak is op %s';
+$lang['Privacy level'] = 'Privaatheidsvlak';
+$lang['Public / Private'] = 'Publiek / Privaat';
+$lang['Public'] = 'Publiek';
+$lang['Purge compiled templates'] = 'Verwyder opgeboude sjablone';
+$lang['Purge history detail'] = 'Verwyder gedetailleerde geskiedenis';
+$lang['Purge history summary'] = 'Verwyder opsommende geskiedenis';
+$lang['Purge search history'] = 'Verwyder soek-geskiedenis';
+$lang['Read Piwigo Documentation'] = 'Lees Piwigo dokumentasie';
+$lang['Replacers (customized templates)'] = 'Vervang (eie sjablone)';
+$lang['Reset ignored updates'] = 'Hou op opdaterings ignoreer';
+$lang['Resize'] = 'Verander grootte';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Herstel standaard-opstelling. Jy sal jou uitbreidings se instellings verloor.';
+$lang['Restore'] = 'Herstel';
+$lang['Save Settings'] = 'Stoor instellings';
+$lang['Save Template Directory'] = 'Stoor sjabloon-gids';
+$lang['Save manual order'] = 'Stoor handmatige volgorde';
+$lang['Save order'] = 'Stoor volgorde';
+$lang['Save to permalink history'] = 'Stoor in permaskakel-geskiedenis';
+$lang['Save visits in history for'] = 'Stoor geskiedenis van besoeke vir';
+$lang['Select at least two tags for merging'] = 'Kies twee etikette om saam te smelt';
+$lang['Select the destination tag'] = 'Kies die eindbestemming-etiket';
+$lang['Site manager'] = 'Webmeester';
+$lang['Start pLoader and add your photos.'] = 'Voer pLoader uit en voeg jou fotos by.';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Etiket <em>%s</em> is saamgesmelt met etiket <em>%s</em>';
+$lang['The version of %s [%s] installed is not compatible with the version required ']['%s'] = 'Die weergawe van %s [%s] wat geïnstalleer is is nie aanpasbaar met die weergawe wat benodig word nie [%s].';
+$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Die webmeester het jou ingeskryf vir kennisgewings per e-pos.';
+$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Die webmeester het jou inskrywing vir kennisgewings per e-pos gekanselleer.';
+$lang['Uncheck all'] = 'Kies geen';
+$lang['Uninstalled Plugins'] = 'Verwyder uitbreidings';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'Gebruik die standaard fotovolgorde (soos in opstellingslêer)';
+$lang['You have subscribed to receiving notifications by mail.'] = 'Jy is ingeskryf vir kennisgewings per e-pos.';
+$lang['You have unsubscribed from receiving notifications by mail.'] = 'Jou inskrywing vir kennisgewings per e-pos is gekanselleer.';
+$lang['You might go to plugin list to install and activate it.'] = 'Gaan na die uitbreidingslys om dit te installeer en te aktiveer.';
+$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Jy moet verkieslik jou stelsel opdateer om die program ten volle te kan gebruik, anders kan daar nie probleme voorkom nie.';
+$lang['apply automatic sort order'] = 'Sorteer outomaties';
+$lang['cancel manual order'] = 'Kanselleer handmatige volgorde';
+$lang['custom'] = 'Eie keuse';
+$lang['overrides existing values with empty ones'] = 'vervang bestaande waardes met leë waardes';
+$lang['pending validation'] = 'wag vir goedkeuring';
+$lang['public'] = 'publiek';
+$lang['ranks'] = 'range';
+$lang['singly represented'] = 'album voorbeeldfoto is reggemaak';
 ?>