Index: /extensions/Psli_BingMaps/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/Psli_BingMaps/language/uk_UA/plugin.lang.php	(revision 15428)
+++ /extensions/Psli_BingMaps/language/uk_UA/plugin.lang.php	(revision 15428)
@@ -0,0 +1,69 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Action'] = 'Дія';
+$lang['Annuler le mode creation'] = 'Вийти з режиму по периметру';
+$lang['Bing Maps Key'] = 'Ключ Bing Maps';
+$lang['Categorie'] = 'Категорія';
+$lang['Center Latittude'] = 'Початок широти';
+$lang['Center Longitude'] = 'Початок довжини';
+$lang['Cliquez pour acceder aux photos'] = 'Натисніть для перегляду';
+$lang['Cliquez pour zoomer sur'] = 'Натисніть, щоб збільшити до';
+$lang['Configuration'] = 'Встановлення';
+$lang['Contenu'] = 'Показати категорії зображення';
+$lang['Creer une zone'] = 'Створення периметра';
+$lang['Enregistrer la zone'] = 'Зберегти периметра';
+$lang['Etes-vous sur ?'] = 'Ви впевнені ?';
+$lang['Latitude'] = 'Широта';
+$lang['Longitude'] = 'Довгота';
+$lang['PointnClick Map'] = 'Вкажіть і натисніть на карті';
+$lang['Set'] = 'Встановити';
+$lang['Setup Helper'] = 'Використовуйте карту, щоб встановити початкову позицію центру і рівень масштабування карти.';
+$lang['Submit'] = 'Зберегти';
+$lang['Supprimer la localisation'] = 'Видалення всіх даних';
+$lang['Supprimer le dernier point'] = 'Видаліть останній пункт';
+$lang['Tout effacer'] = 'Видалити все';
+$lang['Valider'] = 'Здійснювати';
+$lang['Zoom maximum'] = 'Максимальний масштаб';
+$lang['Zoom minimum'] = 'Мінімальний масштаб';
+$lang['Zoom niveau 10'] = 'Змінити масштаб до рівня 10';
+$lang['Zoom niveau 11'] = 'Змінити масштаб до рівня 11';
+$lang['Zoom niveau 12'] = 'Змінити масштаб до рівня 12';
+$lang['Zoom niveau 13'] = 'Змінити масштаб до рівня 13';
+$lang['Zoom niveau 14'] = 'Змінити масштаб до рівня 14';
+$lang['Zoom niveau 15'] = 'Змінити масштаб до рівня 15';
+$lang['Zoom niveau 16'] = 'Змінити масштаб до рівня 16';
+$lang['Zoom niveau 17'] = 'Змінити масштаб до рівня 17';
+$lang['Zoom niveau 18'] = 'Змінити масштаб до рівня 18';
+$lang['Zoom niveau 19'] = 'Змінити масштаб до рівня 19';
+$lang['Zoom niveau 1'] = 'Змінити масштаб до рівня 1';
+$lang['Zoom niveau 20'] = 'Змінити масштаб до рівня 20';
+$lang['Zoom niveau 2'] = 'Змінити масштаб до рівня 2';
+$lang['Zoom niveau 3'] = 'Змінити масштаб до рівня 3';
+$lang['Zoom niveau 4'] = 'Змінити масштаб до рівня 3';
+$lang['Zoom niveau 5'] = 'Змінити масштаб до рівня 5';
+$lang['Zoom niveau 6'] = 'Змінити масштаб до рівня 6';
+$lang['Zoom niveau 7'] = 'Змінити масштаб до рівня 7';
+$lang['Zoom niveau 8'] = 'Змінити масштаб до рівня 8';
+$lang['Zoom niveau 9'] = 'Змінити масштаб до рівня 9';
+$lang['Zoom'] = 'Почати збільшення';
+?>