Index: extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php	(revision 15181)
+++ extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php	(revision 15432)
@@ -22,49 +22,105 @@
 // +-----------------------------------------------------------------------+
 $lang['Action'] = 'Действие';
-$lang['Annuler le mode creation'] = 'Отмена режима периметра';
+$lang['Action Album'] = 'Action Album';
+$lang['Action Picture'] = 'Action Picture';
+$lang['Action Zoom'] = 'Action Zoom';
+$lang['Added pictures'] = 'Added pictures';
+$lang['Associated map'] = 'Associated map';
+$lang['Batch association'] = 'Batch association';
 $lang['Bing Maps Key'] = 'Ключ Bing Maps';
-$lang['Categorie'] = 'Категория';
+$lang['Category'] = 'Категория';
+$lang['Category not selected'] = 'Category not selected';
 $lang['Center Latittude'] = 'Начальная широта';
 $lang['Center Longitude'] = 'Начальная долгота';
-$lang['Cliquez pour acceder aux photos'] = 'Нажать для просмотра';
-$lang['Cliquez pour zoomer sur'] = 'Нажать для изменения масштаба до ';
+$lang['Change Zoom Level'] = 'Change Zoom Level';
+$lang['Click to show pictures of'] = 'Нажать для просмотра';
+$lang['Click to zoom on'] = 'Нажать для изменения масштаба до';
 $lang['Configuration'] = 'Установка';
-$lang['Contenu'] = 'Показать картинку категории';
-$lang['Creer une zone'] = 'Создание периметра';
-$lang['Enregistrer la zone'] = 'Сохранить периметр';
-$lang['Etes-vous sur ?'] = 'Уверены?';
+$lang['Configuration mode'] = 'Configuration mode';
+$lang['Create a map'] = 'Create a map';
+$lang['Create a pin'] = 'Create a pin';
+$lang['Create a zone'] = 'Создание периметра';
+$lang['Delete all points'] = 'Удалить все';
+$lang['Delete last point'] = 'Удалить последнюю точку';
+$lang['Delete this map'] = 'Delete this map';
+$lang['Delete this picture'] = 'Delete this picture';
+$lang['Delete this pin'] = 'Delete this pin';
+$lang['Delete this zone'] = 'Delete this zone';
+$lang['Entity field'] = 'Entity field';
+$lang['Exif import'] = 'Exif import';
+$lang['fifth step : check association with your maps'] = 'fifth step : check association with your maps';
+$lang['first step : create map'] = 'first step : create map';
+$lang['fourth step : make modification to pin associated to your pictures'] = 'fourth step : make modification to pin associated to your pictures';
+$lang['last step : Enjoy !'] = 'last step : Enjoy !';
 $lang['Latitude'] = 'Широта';
-$lang['Localisation - Plugin Psli-BingMaps'] = 'Локализация - Плагин Psli-BingMaps';
 $lang['Longitude'] = 'Долгота';
-$lang['PointnClick Map'] = 'Укажите точку на карте';
-$lang['Set'] = 'Набор';
-$lang['Setup Helper'] = 'Используйте карту, чтобы установить начальную позицию центра и уровень масштабирования карты.';
-$lang['Submit'] = 'Сохранить';
-$lang['Supprimer la localisation'] = 'Удалить все данные';
-$lang['Supprimer le dernier point'] = 'Удалить последнюю точку';
-$lang['Tout effacer'] = 'Удалить все';
-$lang['Valider'] = 'Передать';
+$lang['Map mode'] = 'Map mode';
+$lang['Map Title'] = 'Map Title';
+$lang['Modified pictures'] = 'Modified pictures';
+$lang['New Entity'] = 'New Entity';
+$lang['New Map'] = 'New Map';
+$lang['New Picture'] = 'New Picture';
+$lang['New Pin'] = 'New Pin';
+$lang['New Zone'] = 'New Zone';
+$lang['No exif in pictures for this category'] = 'No exif in pictures for this category';
+$lang['No selected entity'] = 'No selected entity';
+$lang['No selected map'] = 'No selected map';
+$lang['Not assign to a category'] = 'Not assign to a category';
+$lang['Open Category'] = 'Open Category';
+$lang['Open Picture'] = 'Open Picture';
+$lang['Open this category'] = 'Open this category';
+$lang['Open this map'] = 'Open this map';
+$lang['Open this picture'] = 'Open this picture';
+$lang['Open this pin'] = 'Open this pin';
+$lang['Open this zone'] = 'Open this zone';
+$lang['Picture'] = 'Picture';
+$lang['Picture mode'] = 'Picture mode';
+$lang['Picture Title'] = 'Picture Title';
+$lang['pictures'] = 'pictures';
+$lang['Pin'] = 'Pin';
+$lang['Pin mode'] = 'Pin mode';
+$lang['Pin Title'] = 'Pin Title';
+$lang['Reload saved zone'] = 'Reload saved zone';
+$lang['second step : import exif data from your pictures'] = 'second step : import exif data from your pictures';
+$lang['Select a Category'] = 'Select a Category';
+$lang['Select a Map'] = 'Select a Map';
+$lang['Select a picture'] = 'Select a picture';
+$lang['Select a pin'] = 'Select a pin';
+$lang['Select a zone'] = 'Select a zone';
+$lang['Set'] = 'Set';
+$lang['Show guest view'] = 'Show guest view';
+$lang['Show map center'] = 'Show map center';
+$lang['third step : create new zone and new pin'] = 'third step : create new zone and new pin';
+$lang['User manual'] = 'User manual';
+$lang['You need to select a category'] = 'You need to select a category';
+$lang['You need to select a map'] = 'You need to select a map';
+$lang['You need to select a picture'] = 'You need to select a picture';
+$lang['You need to select a pin'] = 'You need to select a pin';
+$lang['You need to select a zone'] = 'You need to select a zone';
+$lang['Zone'] = 'Zone';
+$lang['Zone mode'] = 'Zone mode';
+$lang['Zone Title'] = 'Zone Title';
+$lang['Zoom'] = 'Начальный зум';
+$lang['Zoom level 1'] = 'Зум уровень 1';
+$lang['Zoom level 10'] = 'Зум уровень 10';
+$lang['Zoom level 11'] = 'Зум уровень 11';
+$lang['Zoom level 12'] = 'Зум уровень 12';
+$lang['Zoom level 13'] = 'Зум уровень 13';
+$lang['Zoom level 14'] = 'Зум уровень 14';
+$lang['Zoom level 15'] = 'Зум уровень 15';
+$lang['Zoom level 16'] = 'Зум уровень 16';
+$lang['Zoom level 17'] = 'Зум уровень 17';
+$lang['Zoom level 18'] = 'Зум уровень 18';
+$lang['Zoom level 19'] = 'Зум уровень 19';
+$lang['Zoom level 2'] = 'Зум уровень 2';
+$lang['Zoom level 20'] = 'Зум уровень 20';
+$lang['Zoom level 3'] = 'Зум уровень 3';
+$lang['Zoom level 4'] = 'Зум уровень 4';
+$lang['Zoom level 5'] = 'Зум уровень 5';
+$lang['Zoom level 6'] = 'Зум уровень 6';
+$lang['Zoom level 7'] = 'Зум уровень 7';
+$lang['Zoom level 8'] = 'Зум уровень 8';
+$lang['Zoom level 9'] = 'Зум уровень 9';
 $lang['Zoom maximum'] = 'Максимальный зум';
 $lang['Zoom minimum'] = 'Минимальный зум';
-$lang['Zoom niveau 10'] = 'Зум уровень 10';
-$lang['Zoom niveau 11'] = 'Зум уровень 11';
-$lang['Zoom niveau 12'] = 'Зум уровень 12';
-$lang['Zoom niveau 13'] = 'Зум уровень 13';
-$lang['Zoom niveau 14'] = 'Зум уровень 14';
-$lang['Zoom niveau 15'] = 'Зум уровень 15';
-$lang['Zoom niveau 16'] = 'Зум уровень 16';
-$lang['Zoom niveau 17'] = 'Зум уровень 17';
-$lang['Zoom niveau 18'] = 'Зум уровень 18';
-$lang['Zoom niveau 19'] = 'Зум уровень 19';
-$lang['Zoom niveau 1'] = 'Зум уровень 1';
-$lang['Zoom niveau 20'] = 'Зум уровень 20';
-$lang['Zoom niveau 2'] = 'Зум уровень 2';
-$lang['Zoom niveau 3'] = 'Зум уровень 3';
-$lang['Zoom niveau 4'] = 'Зум уровень 4';
-$lang['Zoom niveau 5'] = 'Зум уровень 5';
-$lang['Zoom niveau 6'] = 'Зум уровень 6';
-$lang['Zoom niveau 7'] = 'Зум уровень 7';
-$lang['Zoom niveau 8'] = 'Зум уровень 8';
-$lang['Zoom niveau 9'] = 'Зум уровень 9';
-$lang['Zoom'] = 'Начальный зум';
 ?>