Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 15445)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 15446)
@@ -172,5 +172,4 @@
 $lang['You cannot move an album in its own sub album'] = 'თქვენ არ შეგიძლიათ გადააადგილოთ კატეგორია მის ქვეკატერორიაში';
 $lang['You need to confirm deletion'] = 'თქვენ უნდა დაადასტუროთ წაშლა';
-$lang['add tags'] = 'დავამატოთ სიტყვები';
 $lang['Associate to album'] = 'მივამაგროთ კატეგორიას';
 $lang['associate to group'] = 'მივამაგროთ ჯგუფს';
@@ -220,6 +219,4 @@
 $lang['manage sub-albums'] = 'ქვეკატეგორიების მართვა';
 $lang['Manage'] = 'მართვა';
-$lang['maximum height'] = 'მაქსიმალური სიმაღლე';
-$lang['maximum width'] = 'მაქსიმალური სიგანე';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'შესრულების დრო ამოიწურა, დამუშავება უნდა გაგრძელდეს [დაახლოებითი დრო: %d წამი].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'შესრულების დრო ამოიწურა, დამუშავება უნდა გაგრძელდეს [დაახლოებითი დრო: %d წამი].';
@@ -302,10 +299,5 @@
 $lang['registration date'] = 'რეგისტრაციის თარიღი';
 $lang['clean'] = 'გავწმინდოთ';
-$lang['remove remote listing.xml file'] = 'წავშალოთ მოშორებული ფაილი listing.xml';
-$lang['generate listing'] = 'შევქმნათ ლისტინგი';
-$lang['generate file listing.xml on remote site'] = 'შევქმნათ ფაილი listing.xml სხვა დაშორებულ საიტზე';
 $lang['Create this site'] = 'შევქმნათ ეს საიტი';
-$lang['A local listing.xml file has been found for'] = 'ლოკალური ფაილი listing.xml file მოიძებნა ';
-$lang['read local listing.xml and update'] = ' წავიკითხოთ ლოკალური ფაილი listing.xml და განვაახლოთ ';
 $lang['test'] = 'ტესტი';
 $lang['test this remote site'] = 'დავტესტოთ ეს დაშორებული საიტი';
@@ -321,5 +313,4 @@
 $lang['delete this site and all its attached elements'] = 'წავშალოთ ეს საიტი და ყველა მიმაგრებული ელემენტი';
 $lang['an error happened'] = 'მოხდა შეცდომა';
-$lang['file create_listing_file.php on remote site was not found'] = 'ფაილი create_listing_file.php არ მოიძებნა დაშორებულ საიტზე';
 $lang['Local'] = 'ლოკალური';
 $lang['Remote'] = 'დაშორებული';
@@ -338,20 +329,13 @@
 $lang['User list'] = 'მომხმარებლების სია';
 $lang['Edit photo information'] = 'შევცვალოთ ინფორმაცია ფოტოზე';
-$lang['Thumbnail creation'] = 'მინიატურების შექმნა';
 $lang['Database synchronization with files'] = 'მონაცემთა ბაზის სინქრონიზაცია ფაილებთან';
 $lang['all'] = 'ყველა';
-$lang['photos without thumbnail (jpeg and png only)'] = 'ფოტოები მინიატურების გარეშე (მხოლოდ jpeg და png)';
 $lang['height must be a number superior to'] = 'სიმაღლე უნდა იყოს მეტი რიცხვი';
 $lang['width must be a number superior to'] = 'სიგანე უნდა იყოს მეტი რიცხვი';
 $lang['for the file format'] = 'ფაილის ფორმატისათვის';
-$lang['No missing thumbnail'] = 'მინიატურები აქვს ყველა ფოტოს';
 $lang['Photo unreachable or no support'] = 'ფოტო მიუწვდომელია ან არ არის მისი ფორმატის მხარდაჭერა';
 $lang['GD version'] = 'ვერსია GD';
-$lang['generated in'] = 'გენერირებულია';
-$lang['Results of miniaturization'] = 'მინიატურიზაციის რეზულტატი';
 $lang['General statistics'] = 'საერთო სტატისტიკა';
-$lang['max time'] = 'მაქსიმალური დრო';
 $lang['average time'] = 'საშუალო დრო';
-$lang['min time'] = 'მინიმალური დრო';
 $lang['number of miniaturized photos'] = 'შემცირებული ფოტოების რაოდენობა';
 $lang['total time'] = 'საერთო დრო';
@@ -366,8 +350,4 @@
 $lang['Choose an option'] = 'აირჩიეთ პარამეტრები';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'ვნახოთ ინფორმაციის მაქსიმუმი (დამატებული კატეგორიები და ფოტოები, წაშლილი ფოტოები და ელემენტები)';
-$lang['Piwigo version differs on the remote site'] = 'PhpWebGallery ვერსია განსხვავდება დაშორებულ სერვერზე';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'ვერსიები create_listing_file.php დაშორებულ სერვერზე და PhpWebGallery უნდა იყოს ერთი და იგივე';
-$lang['listing.xml file was not found'] = 'ფაილი listing.xml არ მოიძებნა';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'ფაილი listing.xml არ მოიძებნა დაშორებულ საიტზე.ეს ფაილი იქმნება საიტების მართვის სისტემაში "შევქმნათ ლისტინგი" ბრძანების არჩევისას';
 $lang['Error list'] = 'შეცდომების სია';
 $lang['Errors caption'] = 'შეცდომების განმარტება';
@@ -375,6 +355,4 @@
 $lang['File/directory read error'] = 'შეცდომია ფაილის/პაპკის კითხვისას';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'ფაილთან ან ფოლდერთან დაკავშირება არ მოხერხდა.(შესაძლებელია არ გაქვთ დაშვების უფლება ან მათთან დაშვება აკრძალულია)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'ფაილის ამ ტიპისათვის საჭიროა მინიატურა.მინიატურები უნდა განათავსოთ ქვეფოლდერში  "thumbnail" კატეგორიის ფოლდერში. მინიატურის ფაილის სახელი უნდა იწყებოდეს კონფიგურაციის დროს მითითებული პრეფიქსით,ხოლო მისი გაფართოება უნდა იყოს ერთ-ერთი ქვემოთ ჩამოთვლილთაგან:';
-$lang['missing thumbnail'] = 'მინიატურები არ არის';
 $lang['albums deleted in the database'] = 'კატეგორია წაშლილია მონაცემთა ბაზიდან';
 $lang['photos deleted from the database'] = 'ელემენტი წაშლილია მონაცემთა ბაზიდან';
@@ -413,5 +391,4 @@
 $lang['Toggle \'default group\' property'] = 'შევქმათ/მოვაშოროთ  \'ძირითადად\'';
 $lang['Advanced features'] = 'გაფართოებული ფუნქციები';
-$lang['Specials'] = 'სპეც ფუნქციები';
 $lang['Overall'] = 'ყველა';
 $lang['Year'] = 'წელი';
@@ -424,7 +401,4 @@
 $lang['Element'] = '';
 $lang['Section'] = 'განყოფილება';
-$lang['Save page visits by guests'] = 'შევინახოთ სტუმრების მიერ ნანახი გვერდები';
-$lang['Save page visits by users'] = 'შევინახოთ მომხმარებლის მიერ ნანახი გვერდები';
-$lang['Save page visits by administrators'] = 'შევინახოთ ადმინისტრატორის მიერ ნანახი გვერდები';
 $lang['Properties'] = 'თვისება';
 $lang['An information email was sent to group "%s"'] = 'საინფორმაციო წერილი გაგზავნილია "%s" ჯგუფისთვის';
@@ -450,5 +424,4 @@
 $lang['guest'] = 'სტუმარი';
 $lang['default values'] = 'ძირითAდი მნიშვნელობა';
-$lang['High filesize'] = 'ფაილის დიდი ზომა';
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'შტუმრის წაშლა არ შეიძლება';
@@ -510,9 +483,7 @@
 $lang['Other plugins'] = 'სხვა პლაგინები';
 $lang['Last revisions'] = 'ბოლო ცვლილებები';
-$lang['Delete'] = 'წავშალოთ';
 $lang['Are you sure you want to delete this plugin?'] = 'დარწმუნებული ხართ, რომ გინდათ წაშალოთ ეს პლაგინი?';
 $lang['Are you sure you want to install this plugin?'] = 'დარწმუნებული ხართ, რომ გინდათ დააყენოთ ეს პლაგინი?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'დარწმუნებული ხართ, რომ გინდათ განაახლოთ? შეამოწმეთ, ხომ არ ჭირდება ამ ვერსიას დეინსტალაცია.';
-$lang['%s has been successfully upgraded.'] = '%s წარმატებით განახლდა.';
 $lang['Plugin has been successfully copied'] = 'პლაგინი წარმატებით იქნა კოპირებული';
 $lang['You might go to plugin list to install and activate it.'] = 'შეგიძლიათ გადახვიდეთ პლაგინების სიასთან მის დასაყენებლად და აქტივაციისათვის.';
@@ -651,5 +622,4 @@
 $lang['Activate Navigation Thumbnails'] = 'მინიატურებში ნავიგაციის აქტივაცია';
 $lang['Activate icon "%s"'] = 'გავააქტიუროთ ხატულა "%s"';
-$lang['Activate field "%s"'] = 'გავააქტიუროთ ველი "%s"';
 $lang['Photo Properties'] = 'ფოტოს თვისება';
 $lang['Allow user customization'] = 'ნება დავრთოთ მომხმარებლებს შეცვალონ გალერეის სახე';
@@ -725,7 +695,4 @@
 $lang['All %d photos are selected'] = 'ყველა %d ფოტოა არჩეული';
 $lang['remove this filter'] = 'გამოვრთოთ ეს ფილტრი';
-$lang['predefined filter'] = 'წინასწარგანსაზღვრული ფილტრი';
-$lang['last import'] = 'ბოლო იმპორტი';
-$lang['with no virtual album'] = 'არა ვირტუალური ალბომი';
 $lang['Duplicates'] = 'დუბლიკატები';
 $lang['Add a filter'] = 'დავამატოთ ფილტრი';
@@ -742,6 +709,4 @@
 $lang['Type here the title'] = 'ჩაწერეთ აქ სათაური';
 $lang['remove creation date'] = 'წავშალოთ შექმნის თარიღი';
-$lang['with no album'] = 'ალბომის გარეშე';
-$lang['with no tag'] = 'ტეგის გარეშე';
 $lang['Album photos associated to the following albums: %s'] = 'ალბომის ფოტო ასოცირებულია შემდეგ ალბომთან: %s';
 $lang['Delete orphan tags'] = 'დაობლებული ტეგების წაშლა';
@@ -789,3 +754,53 @@
 
 
+$lang['%s has been successfully updated.'] = '% წარმატებით განახლდა';
+$lang['%s photos can not be regenerated'] = '% ფოტო არ არის რეგენერირებილი';
+$lang['%s photos have been regenerated'] = '% ფოტო გენერირებულია';
+$lang['(this tag will be deleted)'] = '( ეს ტეგი წაშლილია)';
+$lang['... or '] = '... ან';
+$lang['Activate comments'] = 'კომენტარების გააქტიურება';
+$lang['Activate icon "new" next to albums and pictures'] = 'ააქტიურებს ხატულას "ახალი" ალბომისა და ფოტოების გვერდით';
+$lang['Add a criteria'] = 'კრიტერიუმის დამატება';
+$lang['Add tags'] = 'ტეგების დამატება';
+$lang['All extensions are up to date.'] = 'ყველა გაფართოება განახლებულია.';
+$lang['Allowed file types: %s.'] = 'დაშვებული ფაილის გაფართოებებია: %';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'დაახლოებით მაქსიმალური რეზოლუციაა: %dM პიქსელი (ესაა %dx%d პიქსელი).';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'ნაგულისხმევია ის რომ, Piwigo შექმნის თქვენი ფოტოს ახალ HD (High Definition) ვერსიას.';
+$lang['Cancel'] = 'დასრულება';
+$lang['Confirm merge'] = 'დაადასტურეთ გაერთიანება';
+$lang['Create'] = 'შექმნა';
+$lang['Crop'] = 'ჩამოჭრა';
+$lang['Deactivate all'] = 'გამოვრთოთ ყველა';
+$lang['Default comments order'] = 'კომენტარების განლაგების წესი';
+$lang['Default photos order'] = 'ფოტოების განლაგების წესი';
+$lang['Move to album'] = 'გადავიტანოთ ალბომში';
+$lang['Not cropped correctly?'] = 'არ ჩამოიჭრა სწორედ?';
+$lang['Photo name'] = 'ფოტოს სახელი';
+$lang['Photos generation in progress...'] = 'მიმდინარეობს ფოტოების გენერაცია...';
+$lang['Piwigo Update'] = 'Piwigo განახლებულია';
+$lang['Predefined filter'] = 'სტანდარტული ფილტრები';
+$lang['Reset ignored updates'] = 'გავაუქმოთ იგნორირებული განახლებები';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'აღვადგინოთ ძირითადი კონფიგურაცია. თქვენ დაკარგავთ პლაგინების პარამეტრებს!';
+$lang['Restore'] = 'აღდგენა';
+$lang['Save visits in history for'] = 'შევინახოთ ნახვები ისტორიაში';
+$lang['Select an album'] = 'აირჩიეთ ალბომი';
+$lang['Select at least two tags for merging'] = 'აირჩიეთ ორი ტეგი მაინც გასაერთიენებლად';
+$lang['Select the destination tag'] = 'აირჩიეთ დანიშნულების ტეგი';
+$lang['Send connection settings by email'] = 'პირადი პარამეტრების ელ-ფოსტაზე გაგზავნა';
+$lang['Show menubar'] = 'ვაჩვენოთ მენიუ';
+$lang['Some upgrades are available for extensions.'] = 'ზოგიერთი გაფართოებისათვის განახლება ხელმისაწვდომია.';
+$lang['Start Upload'] = 'დავიწყოთ ატვირთვა';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'ტეგი <em>%s</em> გაერთიანდება ტეგთან <em>%s</em>';
+$lang['The original image quality must be a number between %d and %d'] = 'გამოსახულების თავდაპირველი ხარისხი უნდა იყოს ციფრი %d და %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'ორიგინალური მაქსიმალური სიმაღლე უნდა იყოს %d და %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'ორიგინალური მაქსიმალური სიგანე უნდა იყოს %d და %d';
+$lang['This album contains %d photos, added between %s and %s.'] = 'ეს ალბომი შეიცავს % ფოტოს, დამატებულია % და % შორის';
+$lang['This album contains %d photos, added on %s.'] = 'ეს ალბომი შეიცავს % ფოტოს, დამატებულია %/';
+$lang['This album contains no photo.'] = 'ამ ალბომში ფოტო არ არის.';
+$lang['Thumbnails generation in progress...'] = 'მიმდინარეობს ხატულების გენერაცია...';
+$lang['You can activate only one mobile theme.'] = 'თქვენ უნდა გაააქტიუროთ მხოლოდ ერთი მობილური თემა.';
+$lang['administrators'] = 'ადმინისტრატორები';
+$lang['registered users'] = 'დარეგისტრირებული მომხმარებლები';
+$lang['show details'] = 'ვნახოთ დეტალები';
+$lang['simple visitors'] = 'უბრალო მნახველები';
 ?>