Index: /trunk/language/ka_GE/common.lang.php
===================================================================
--- /trunk/language/ka_GE/common.lang.php	(revision 15452)
+++ /trunk/language/ka_GE/common.lang.php	(revision 15453)
@@ -122,5 +122,4 @@
 $lang['About Piwigo'] = 'PhpWebGallery–ზე';
 $lang['You are not authorized to access the requested page'] = 'თქვენ არ გაქვთ ავტორიზაციის გარეშე გვერდის ნახვის უფლება';
-$lang['Add to caddie'] = 'კალათაში დამატება';
 $lang['add this photo to your favorites'] = ' დავამატოთეს ფოტო რჩეულებში';
 $lang['Administration'] = 'ადმინისტრირება';
@@ -346,3 +345,77 @@
 $lang['Accelerate diaporama speed'] = 'გავზარდოთ პანორამის სიჩქარე';
 $lang['html tags are not allowed in login'] = 'შესასვლელად html ტეგების გამოყენება აკრძალულია';
+$lang['%d rate'] = '%d შეფასება';
+$lang['%d rates'] = '%d განაკვეთი';
+$lang['2small'] = 'XXS - უმცირესი';
+$lang['Bad request'] = 'არასწორი მოთხოვნა';
+$lang['Change my password'] = 'პაროლის შეცვლა';
+$lang['Check your email for the confirmation link'] = 'შეამოწმეთ თქვენი ელ ფოსტა დადასტურების ბმულით';
+$lang['Date created, new &rarr; old'] = 'შექმნის თარიღი, ახალი  &rarr; ძველი';
+$lang['Date created, old &rarr; new'] = 'შექმნის თარიღი, ძველი  &rarr; ახალი';
+$lang['Date posted, new &rarr; old'] = 'გამოქვეყნების თარიღი, ახალი  &rarr; ძველი';
+$lang['Date posted, old &rarr; new'] = 'გამოქვეყნების თარიღი, ძველი  &rarr; ახალი ';
+$lang['Desktop'] = 'კომპიუტერი';
+$lang['EXIF Metadata'] = 'EXIF მეტადატა';
+$lang['Edit'] = 'რედაქტირება';
+$lang['Enter your new password below.'] = 'ჩაწერეთ თქვენი ახალი პაროლი';
+$lang['File name, A &rarr; Z'] = 'ფაილის სახელი, ა &rarr; ჰ';
+$lang['File name, Z &rarr; A'] = 'ფაილის სახელი, ჰ &rarr; ა';
+$lang['Forbidden'] = 'აკრძალულია';
+$lang['Hello %s,'] = 'გამარჯობა %s,';
+$lang['Here are your connection settings'] = 'თქვენი დაკავშირების პარამეტრებია';
+$lang['IPTC Metadata'] = 'IPTC მეტადატა';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'თუ შეცდომით მოგივიდათ ეს წერილი, იგნორირება გაუკეთეთ და ნუ უპასუხებთ მას.';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'თუ ტქვენ თვლით რომ წერილი შეცდომით მიიღეთ, დაგვიკავშირდით მისამართზე  %s';
+$lang['Invalid key'] = 'არასწორი გასაღები';
+$lang['Invalid username or email'] = 'არასწორი სახელი ან ელ-ფოსტის მისამართი';
+$lang['Manual sort order'] = 'ხელით დალაგება';
+$lang['Mobile'] = 'მობილური';
+$lang['Number of photos per page'] = 'ფოტოების რაოდენობა გვერდზე';
+$lang['Numeric identifier, 1 &rarr; 9'] = 'საიდეტიფიკაციო ნომერი, 1 &rarr; 9';
+$lang['Numeric identifier, 9 &rarr; 1'] = 'საიდეტიფიკაციო ნომერი, 9 &rarr; 1';
+$lang['Original'] = 'ორიგინალი';
+$lang['Page not found'] = 'გვერდი არ მოიძებნა';
+$lang['Password Reset'] = 'პაროლი შეიცვალა';
+$lang['Password reset is not allowed for this user'] = 'პაროლის შეცვლა შეუძლებელია ამ მომხმარებლისათვის';
+$lang['Password: %s'] = 'პაროლი: %s';
+$lang['Permalink for album not found'] = 'ბმული ალბომზე არ მოიძებნა';
+$lang['Photo sizes'] = 'ფოტოს ზომები';
+$lang['Photo title, A &rarr; Z'] = 'ფოტოს სახელი, ა &rarr; ჰ';
+$lang['Photo title, Z &rarr; A'] = 'ფოტოს სახელი, ჰ &rarr; ა';
+$lang['Piwigo encountered a non recoverable error'] = 'Piwigo -მ აღმოაჩინა გამოუსწორებელი შეცდომა';
+$lang['Please enter your username or email address.'] = 'გთხოვთ ჩაწეროთ თქვენი სახელი ან ელ-ფოსტის მისამართი.';
+$lang['Rating score, high &rarr; low'] = 'შეფასება, მაღალი &rarr; დაბალი ';
+$lang['Rating score, low &rarr; high'] = 'შეფასება, დაბალი &rarr; მაღალი';
+$lang['Rating score'] = 'შეფასების ანგარიში';
+$lang['Requested album does not exist'] = 'მოთხოვნილი ალბომი არ არსებობს';
+$lang['Requested tag does not exist'] = 'მოთხოვნილი ტეგი არ არსებობს';
+$lang['Return to home page'] = 'მთავარ გვერდზე დაბრუნება';
+$lang['Send my connection settings by email'] = 'დაკავშირების პარამეტრების ელ-ფოსტაზე გაგზავნა';
+$lang['Show latest comments first'] = 'პირველი ვაჩვენოთ ახალი კომენტარი ';
+$lang['Show oldest comments first'] = 'პირველი ვაჩვენოთ ძველი კომენტარი ';
+$lang['Someone requested that the password be reset for the following user account:'] = 'ვიღაცამ მოითხოვა პაროლის აღდგენა შემდეგი  მომხმარებლებისათვის:';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'გამარჯობა! თქვენ წარმატებით დარეგისტრირდით. მალე მიიღებთ დაკავშირების პარამეტრებს ელ-ფოსტაზე.  ';
+$lang['Thank you for registering at %s!'] = 'გმადლობთ რეგისტრაციისათვის  %s!';
+$lang['The number of photos per page must be a not null scalar'] = 'ფოტოების რაოდენობა გვერდზე უნდა იყოს ნულზე მეტი როცხვი.';
+$lang['The passwords do not match'] = 'პაროლები ერთმანეთს არ ემთხვევა';
+$lang['To reset your password, visit the following address:'] = 'პაროლის შესაცვლელად ეწვიეთ შემდეგ მისამართს:';
+$lang['User "%s" has no email address, password reset is not possible'] = 'მომხმარებელ  "%s" არა აქვს მითითებული ელ ფოსტის მისამართი. აროლის შეცვლა შეუძლებელია.';
+$lang['Username "%s" on gallery %s'] = 'მომხმარებლის სახელი "%s" გალერეა %s ';
+$lang['Username modification'] = 'მომხმარებლის სახელის მოდიფიკაცია';
+$lang['Username or email'] = 'მომხმარებლის სახელი ან ელ-ფოსტა';
+$lang['Username: %s'] = 'მომხმარებლის სახელი: %s';
+$lang['View in'] = 'ვნახოთ';
+$lang['Visits, high &rarr; low'] = 'ნახვები, მეტი &rarr; ნაკლები';
+$lang['Visits, low &rarr; high'] = 'ნახვები, ნაკლები &rarr; მეტი';
+$lang['You will receive a link to create a new password via email.'] = 'თქვენ გამოგეგზავნათ წერილი თქვენს ელ-ფოსტის მისამართზე პაროლის შესაცვლელი ბმულით. ';
+$lang['Your password has been reset'] = 'თქვენი პაროლი შეიცვალა';
+$lang['Your username has been successfully changed to : %s'] = 'თქვენი მომხმარებლის სახელი შეიცვალა:  %s -ით';
+$lang['large'] = 'L - დიდი';
+$lang['medium'] = 'M - საშუალო';
+$lang['small'] = 'S - პატარა';
+$lang['square'] = 'ველი';
+$lang['thumb'] = 'ხატულა';
+$lang['xlarge'] = 'XL -ძალიან დიდი';
+$lang['xsmall'] = 'XS - ძალიან პატარა';
+$lang['xxlarge'] = 'XXL - უდიდესი';
 ?>